Bug 72398 - Movie files with .m4v extension missing in "Show all movie and sound files" filter when inserting movie and sound
Summary: Movie files with .m4v extension missing in "Show all movie and sound files" f...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta2
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: David Tardon
URL:
Whiteboard: Confirmed:4.2.0.0.beta2:Ubuntu target...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-06 14:27 UTC by Henrik
Modified: 2020-08-01 08:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik 2013-12-06 14:27:19 UTC
When adding movie or sound files to a document (either in Impress or Writer) the default filter option "All movie and sound files" does not show movie files that have the extension .m4v.

Libreoffice does show them when setting the viewing option to "All files" and the files work fine when inserted.
Comment 1 Robinson Tryon (qubit) 2013-12-07 02:16:24 UTC
TESTING with LO 4.2.0.0.beta2 + Ubuntu 12.04.3

Using sample:
http://mastbaumbishop.wikispaces.com/file/detail/sample.m4v

(In reply to comment #0)
> When adding movie or sound files to a document (either in Impress or Writer)
> the default filter option "All movie and sound files" does not show movie
> files that have the extension .m4v.

REPRO STEPS:
- Open LibreOffice Impress
- Insert -> Movie and Sound

Confirmed. The 'sample.m4v' file does not appear in the window.

> 
> Libreoffice does show them when setting the viewing option to "All files"

- Change the drop-down to 'All files'

Also Confirmed: With this setting, the 'sample.m4v' file appears.

> and the files work fine when inserted.

- At least on GNU/Linux, you'll need some extra codec support installed (usually XXX-YYY-bad or somesuch....hooray patents!)

With codecs installed, video playback works fine.
Comment 2 Commit Notification 2013-12-07 18:09:54 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88a243a3bbfa2207d8c01fa6ee068b6aba810cdc

fdo#72398 add m4v to allowed movie exts



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-12-07 18:11:17 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94a48869954632b8c96e084bd3f143c5a4a09a18&h=libreoffice-4-2

fdo#72398 add m4v to allowed movie exts


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 DavisBen 2020-03-16 06:43:39 UTC
Mobdro is the app that I use to watch movies, sports, and more on my phone. To learn more about Mobdro application please visit at: https://mobdroplus.com/
Comment 5 Trek Oath 2020-06-28 14:12:03 UTC
Looking for Watch cartoon movies online you can visit our website. 
https://travelmansoon.com/kisscartoon-watch-cartoon-movies-online/
Comment 6 Lazy Django 2020-07-27 09:16:16 UTC
Showbox can be your entertainment solution for both mobile and TV. It is available as APK version that can be easy to install on our smart devices. https://showboxupdates.com/
Comment 7 Gacha 2 2020-08-01 08:59:10 UTC
Gacha Life 2 is popular role playing game released for Android, iOS, and Microsoft Windows Operating systems.
https://www.gacha2.com